net.sourceforge.pmd.lang.ecmascript.ast

## Class EcmascriptParser

- java.lang.Object
- - net.sourceforge.pmd.lang.ecmascript.ast.EcmascriptParser

    public class EcmascriptParser
    extends Object

### Field Summary

Fields
`protected EcmascriptParserOptions` `parserOptions`

### Constructor Summary

Constructors
Constructor and Description
`EcmascriptParser(EcmascriptParserOptions parserOptions)`

### Method Summary

Methods
`EcmascriptNode<org.mozilla.javascript.ast.AstRoot>` `parse(Reader reader)`
`protected org.mozilla.javascript.ast.AstRoot` `parseEcmascript(String sourceCode, List<org.mozilla.javascript.ast.ParseProblem> parseProblems)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parserOptions

    protected final EcmascriptParserOptions parserOptions

### Constructor Detail

#### EcmascriptParser

    public EcmascriptParser(EcmascriptParserOptions parserOptions)

### Method Detail

#### parseEcmascript

    protected org.mozilla.javascript.ast.AstRoot parseEcmascript(String sourceCode,
                                                     List<org.mozilla.javascript.ast.ParseProblem> parseProblems)
                                                          throws ParseException

Throws:
  `ParseException`

#### parse

    public EcmascriptNode<org.mozilla.javascript.ast.AstRoot> parse(Reader reader)